curl -X GET "https://api.memanto.ai/agents/my-agent/daily-summary?date=2026-11-18" \
-H "x-api-key: $MEMANTO_API_KEY"
{
"exists": true,
"agent_id": "my-agent",
"date": "2026-11-18",
"content": "# Daily summary …",
"folder_path": "…",
"readme_path": "…/README.md",
"memory_count": 14,
"generated_at": "2026-11-19T06:00:12.000Z"
}
AI Generation
Get Daily Summary
Read the stored summary for one day.
GET
/
agents
/
{agent_id}
/
daily-summary
curl -X GET "https://api.memanto.ai/agents/my-agent/daily-summary?date=2026-11-18" \
-H "x-api-key: $MEMANTO_API_KEY"
{
"exists": true,
"agent_id": "my-agent",
"date": "2026-11-18",
"content": "# Daily summary …",
"folder_path": "…",
"readme_path": "…/README.md",
"memory_count": 14,
"generated_at": "2026-11-19T06:00:12.000Z"
}
Overview
Returns the stored summary as Markdown incontent. When there is none for that day, exists is false.
Authentication
Your Memanto Cloud API key (
mk_...). See Authentication.Path Parameters
Query Parameters
curl -X GET "https://api.memanto.ai/agents/my-agent/daily-summary?date=2026-11-18" \
-H "x-api-key: $MEMANTO_API_KEY"
{
"exists": true,
"agent_id": "my-agent",
"date": "2026-11-18",
"content": "# Daily summary …",
"folder_path": "…",
"readme_path": "…/README.md",
"memory_count": 14,
"generated_at": "2026-11-19T06:00:12.000Z"
}